### Method

# Dex Delayed dup_future

#### Declaration [src]

    DexFuture*
    dex_delayed_dup_future (
      DexDelayed* delayed
    )

#### Description [src]

Retrieves the delayed future provided to dex_delayed_new().

This function can only return a `DexFuture` before `dex_delayed_release()` is called. After that, the delayed future is released and this function will return `NULL`.

#### Return value

Type: `DexFuture`

A `DexFuture` or `NULL`.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.